> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-apis/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-apis/accessing-os-apis/os-ngd-api-tiles/technical-specification/landing-page.md).

# Landing page

## GET /

> Retrieve the OS NGD API – Tiles landing page for this service.

```json
{"openapi":"3.0.1","info":{"title":"OS NGD API - Tiles","version":"v1.8"},"servers":[{"description":"NGD OGC API - Tiles server","url":"https://api.os.uk/maps/vector/ngd/ota/v1"}],"paths":{"/":{"get":{"operationId":"getLandingPage","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/landingPage"}}},"description":"The landing page provides links to the API definition (link relation `service-desc`, in this case path `/api`), to the Conformance declaration (path `/conformance`, link relation `conformance`), and to the Collections of geospatial data (path `/collections`, link relation `data`)."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"The request was not supported."},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"The requested resource does not exist on the server. For example, a path parameter had an incorrect value."},"405":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"The HTTP method requested is not supported. This endpoint only supports 'GET' requests."},"406":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"A request header value was not supported."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"A server error occurred."},"504":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"Gateway Timeout."}},"summary":"Retrieve the OS NGD API – Tiles landing page for this service.","tags":["Landing Page"]}}},"components":{"schemas":{"landingPage":{"properties":{"title":{"description":"While a title is not required, implementors are strongly advised to include one.","title":"The title of the API.","type":"string"},"description":{"type":"string"},"attribution":{"description":"The `attribution` should be short and intended for presentation to a user, for example, in a corner of a map. Parts of the text can be links to other resources if additional information is needed. The string can include HTML markup.","title":"attribution for the API","type":"string"},"links":{"items":{"$ref":"#/components/schemas/link"},"type":"array"}},"required":["links"],"type":"object"},"link":{"properties":{"href":{"description":"Supplies the URI to a remote resource (or resource fragment).","type":"string"},"rel":{"description":"The type or semantics of the relation.","type":"string"},"type":{"description":"A hint indicating what the media type of the result of dereferencing the link should be.","type":"string"},"templated":{"description":"This flag set to true if the link is a URL template.","type":"boolean"},"varBase":{"description":"A base path to retrieve semantic information about the variables used in URL template.","type":"string"},"hreflang":{"description":"A hint indicating what the language of the result of dereferencing the link should be.","type":"string"},"title":{"description":"Used to label the destination of a link such that it can be used as a human-readable identifier.","type":"string"},"length":{"type":"integer"}},"required":["href","rel"],"type":"object"},"exceptionDto":{"description":"JSON schema for exceptions based on RFC 7807","properties":{"type":{"type":"string"},"title":{"type":"string"},"status":{"type":"integer"},"detail":{"type":"string"},"instance":{"type":"string"},"code":{"type":"integer"},"description":{"type":"string"},"help":{"type":"string"}},"required":["type"],"title":"Exception Schema","type":"object"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.os.uk/os-apis/accessing-os-apis/os-ngd-api-tiles/technical-specification/landing-page.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
